<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <artifactId>report.books.pdf</artifactId>
    <groupId>org.squashtest.tm.plugin</groupId>
    <version>${revision}${sha1}${changelist}</version>
  </parent>

  <artifactId>report.books.requirements.pdf</artifactId>
  <name>${project.groupId}.${project.artifactId}</name>
  <description>Requirements reports for Squash TM</description>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>org.squashtest.tm</groupId>
                <artifactId>squash-tm-bom</artifactId>
                <version>${squash.core.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
        </dependencies>
    </dependencyManagement>

  <dependencies>
    <dependency>
      <groupId>org.squashtest.tm</groupId>
      <artifactId>spock-test-dependencies</artifactId>
      <version>${squash.core.version}</version>
      <type>pom</type>
      <scope>test</scope>
    </dependency>
  </dependencies>

  <scm>
    <url>https://bitbucket.org/nx/squashtest-tm-reports-plugin</url>
    <tag>HEAD</tag>
  </scm>

  <build>
    <resources>
      <resource>
        <directory>src/main/resources</directory>
        <filtering>true</filtering>
      </resource>
    </resources>

    <testSourceDirectory>src/test/groovy</testSourceDirectory>

    <testResources>
      <testResource>
        <directory>src/test/resources</directory>
        <filtering>false</filtering>
      </testResource>
    </testResources>

    <plugins>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-compiler-plugin</artifactId>
      </plugin>


      <plugin>
        <artifactId>maven-remote-resources-plugin</artifactId>
        <executions>
          <execution>
            <goals>
              <goal>process</goal>
            </goals>
            <configuration>
              <resourceBundles>
                <resourceBundle>org.squashtest.tm:squashtest-license-resources:${squash.core.version}</resourceBundle>
              </resourceBundles>
            </configuration>
          </execution>
        </executions>
      </plugin>

      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-surefire-plugin</artifactId>
      </plugin>

      <plugin>
          <groupId>com.alexnederlof</groupId>
          <artifactId>jasperreports-plugin</artifactId>
      </plugin>
    </plugins>
  </build>
</project>

